<?php
/**
 * 报表实现类 郑州babypastel 渠道业绩周-月报表
 *
 * ============================================================================
 * 版权所有 2017北京素玄科技，并保留所有权利。
 *
 * 网站地址: http://www.suxuantech.com
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！未经允许的情况下，您不能对本系统代码做任何修改 .
 * 不允许对程序代码以任何形式任何目的的再发布。
 * 如有修改需求，请联系素玄科技有限公司：contact@suxuantech.cn
 * ============================================================================
 * $Author: lilong 2020-07-01 $
 */
namespace app\crm\lib\report;
use app\crm\lib\Report;
use think\Controller;
use think\image\Exception;

class Zzbb_channel_yj_week_data extends Report {
    private $level=1;
    private $type =1;
    private $code ='code1593597323';

    public function getLevel(){
        return $this->level;
    }
    public function getType(){
        return $this->type;
    }
    public function getCode(){
        return $this->code;
    }
    public function data(){
        set_time_limit(0);
        $data = input();

        $date = explode(" - ", $data['date']);

        $start = $date[0] ? $date[0] : date("Y-m-d",strtotime("-7 day"));
        $end = $date[1] ? $date[1] : date('Y-m-d');
        $d1 = strtotime($start);
        $d2 = strtotime($end);
        $Days = round(($d2-$d1)/3600/24);
        if ($Days > 31) {
            $return['code'] = 100;
            $return['msg'] = '日期范围请选择一个月31天内。';

            return json($return);
        }

        $det = db('crm_s_report_form')->alias('f')->join('crm_s_report_detail d','d.form_id=f.id')->where('d.id',$data['did'])->field('d.id,d.shop_code,d.brandclass_id,f.report_class_name')->find();

        //可操作店
        if($data['shop_code']){
            $shop_code = $data['shop_code'];
        }elseif($det['shop_code']){
            $shop_code = $det['shop_code'];
        }else{
            $shop_code = session('shop_code');
        }
        
        if(empty($shop_code)){
            return array('code'=>100,'msg'=>'请选择店面');
        }
        // ordernote 订单备注 order表
        // allfc 所有服次 currentfc 当前服次
        // c_paymentcontent  payclass =3 充值
        // c_paymentcontent  isshishou=实收 
        // c_paymentcontent  payment_money 小于 0 退款
        // c_paymentcontent  paytype 付款方式 
        // selectman 选片师 sp表
        // cameraman 摄影师 photo表
        // mentor_a  引导师A photo表
        // dresser   化妆师 photo表
        $returnData = [];
        // $today = date('Ymd',strtotime($start));
        $start = date('Ymd',strtotime($start));
        $end = date('Ymd',strtotime($end));
        $recTime = microtime(true).'<br />';
        $allOrderIds = db('c_customerorder')->alias('o')//订单表
            ->join('c_customerphoto ph', 'o.orderId=ph.orderId','left')//拍照表
            ->join('c_customersp sp', 'o.orderId=sp.orderId','left')//选片表
            ->join('c_paymentcontent p','o.orderId=p.orderId','left')//收款表
            ->where('o.shop_code="'.$shop_code.'" and o.targetdate between "'.$start.'" and "'.$end.'"')
            ->whereOr('ph.shop_code="'.$shop_code.'" and ph.photodate between "'.$start.'" and "'.$end.'"')
            ->whereOr('sp.shop_code="'.$shop_code.'" and sp.selectday between "'.$start.'" and "'.$end.'"')
            ->whereOr('p.shop_code="'.$shop_code.'" and p.paymentdate between "'.$start.'" and "'.$end.'"')
            // ->page($page)->limit($limit)
            ->group('o.orderId')->column('o.orderId','o.orderId');
        $sql0 = db()->getLastSql();
        $recTime .= microtime(true).'<br />';
        // 当日订单客资
        $orderField = 'o.targetdate,o.orderId,c.wphone,c.wname,c.customer_channel,c.bbithdate,o.payment_money,o.nopayment_money,o.bargain_money,o.yixiaoshishou,o.supplementary_money,o.old_bargain_money,o.shengjimoney,o.ordernote,ch.channel_info_name';
        $todayOrder = db('c_customerorder')->alias('o')
            ->join('c_customerinfo c', 'c.customerid=o.customerid','left')//客资信息表
            ->join('c_customerorder_servicefc fc', 'fc.orderId=o.orderId','left')
            ->join('crm_s_channel ch', 'ch.channel_name=c.customer_channel','left')//渠道
            // ->fetchSql(true)
            ->where('o.orderId','in',$allOrderIds)
            ->where('o.targetdate','between',[$start,$end])
            ->order('ch.channel_info_name')
            ->group('o.orderId')
            ->column($orderField.',fc.allfc','o.orderId');
        $sql1 = db()->getLastSql();
        $recTime .= microtime(true).'<br />';
        // echo $sql1;die;
        foreach ($todayOrder as $key => $value) {
            // $noIds .= $value['orderId'].',';
            // // 计算宝宝年龄
            // $age = $this->babyAge('',$value['bbithdate']);
            // // 订单 日期
            // $returnData[$key]['day'] = date('m-d',strtotime($value['targetdate'])).'-d';
            // 渠道
            $returnData[$value['customer_channel']]['qd'] = $value['channel_info_name'];
            // 渠道 名称
            $returnData[$value['customer_channel']]['qdmc'] = $value['customer_channel'];
            // $returnData[$value['channel_info_name'].'合计']['qdmc'] = '合计';
            // // 妈妈姓名
            // $returnData[$key]['name'] = $value['wname'];
            // // 宝宝年龄
            // $returnData[$key]['age'] = $age;
            // // 妈妈电话
            // $returnData[$key]['tel'] = $value['wphone'];
            // if ($value['old_bargain_money']) {
            //     // 原套餐金额
            //     $returnData[$key]['ytcje'] = $value['old_bargain_money'];
            //     // 升级套餐金额
            //     $returnData[$key]['sjtcje']= $value['bargain_money']+$value['shengjimoney'];
            // }else{
            //     $returnData[$key]['ytcje'] = $value['bargain_money'];
            //     $returnData[$key]['sjtcje']= '';
            // }
            // // 成长套拍摄剩余次数
            // if ($value['allfc']>1) {
            //     $returnData[$key]['cztsycs'] = $value['allfc'];
            // }else{
            //     $returnData[$key]['cztsycs'] = '';
            // }
            // // 新订单金额
            // $returnData[$key]['xddje'] = $value['bargain_money'];
            // 客户欠款
            $returnData[$value['customer_channel']]['qk'] = $value['nopayment_money'];
            // // 订单管家
            // $returnData[$key]['ddgj'] = '';
            // // 服务管家
            // $returnData[$key]['fwgj'] = '';
            //一销 订单量
            if ($value['bargain_money'] > 0) {
                $returnData[$value['customer_channel']]['yx'] += 1;
            }
            //一销 金额
            $returnData[$value['customer_channel']]['yxjine'] += $value['bargain_money'];
            
            // 订单备注
            $returnData[$value['customer_channel']]['bz'] = $value['ordernote'];
            $returnData[$value['customer_channel']]['orderId'] = $value['orderId'];
        }
        $recTime .= microtime(true).'<br />';
        // 今日拍照客资 同一天 有可能拍照两次 所以不能使用 column
        $todayPhoto = db('c_customerorder')->alias('o')
            ->join('c_customerinfo c', 'c.customerid=o.customerid','left')
            ->join('c_customerphoto ph', 'ph.orderId=o.orderId','left')
            ->join('crm_s_channel ch', 'ch.channel_name=c.customer_channel','left')//渠道
            ->where('o.orderId','in',$allOrderIds)
            ->where('ph.photodate','between',[$start,$end])
            ->order('ph.photodate')
            ->field($orderField.',ph.photodate,ph.cameraman,ph.mentor_a,ph.dresser,ph.currentfc,ph.photonote,ph.qqphotomoney')
            ->select();
        $sql2 = db()->getLastSql();
        $recTime .= microtime(true).'<br />';
        foreach ($todayPhoto as $key => $value) {
            // 计算宝宝年龄
            // $age = $this->babyAge('',$value['bbithdate']);
            // 订单 日期
            // $returnData[$value['orderId']]['day'] = date('m-d',strtotime($value['photodate']));
            // 渠道
            $returnData[$value['customer_channel']]['qd'] = $value['channel_info_name'];
            // 渠道 名称
            $returnData[$value['customer_channel']]['qdmc'] = $value['customer_channel'];
            // $returnData[$value['channel_info_name'].'合计']['qdmc'] = '合计';
            // 妈妈姓名
            // $returnData[$value['orderId']]['name'] = $value['wname'];
            // // 宝宝年龄
            // $returnData[$value['orderId']]['age'] = $age;
            // // 妈妈电话
            // $returnData[$value['orderId']]['tel'] = $value['wphone'];
            // if ($value['old_bargain_money']) {
            //     // 原套餐金额
            //     $returnData[$value['orderId']]['ytcje'] = $value['old_bargain_money'];
            //     // 升级套餐金额
            //     $returnData[$value['orderId']]['sjtcje']= $value['bargain_money']+$value['shengjimoney'];
            // }else{
            //     $returnData[$value['orderId']]['ytcje'] = $value['bargain_money'];
            //     $returnData[$value['orderId']]['sjtcje']= '';
            // }
            // // 成长套拍摄剩余次数
            $allfc = db('c_customerorder_servicefc')->where('orderId',$value['orderId'])->value('allfc');
            // if ($allfc>1) {
            //     $returnData[$value['orderId']]['cztsycs'] = $allfc-$value['currentfc'];
            // }else{
            //     $returnData[$value['orderId']]['cztsycs'] = '';
            // }
            // 拍摄 金额 
            $photoMoney = db('c_consumptioncontent')
                ->where('orderId',$value['orderId'])->where('servicenumber',$value['currentfc'])->where('issources',0)
                ->sum('yejiprice');
            $returnData[$value['customer_channel']]['ps_jine'] += $photoMoney;

            if ($allfc>1) {
                // 成长套拍摄量
                $returnData[$value['customer_channel']]['cztpsl'] += 1;
            }else{
                // 单套拍摄量
                $returnData[$value['customer_channel']]['dtpsl'] += 1;
            }
            //拍摄 总量
            $returnData[$value['customer_channel']]['ps_zl'] += 1;
            if ($value['phototype']=='重拍') {
                // 重拍量
                $returnData[$value['customer_channel']]['cpl'] += 1;
            }
            if ($value['phototype']=='补拍') {
                // 补拍量
                $returnData[$value['customer_channel']]['bpl'] += 1;
            }
            // // 新订单金额
            // $returnData[$value['orderId']]['xddje'] = $value['bargain_money'];
            // 客户欠款
            $returnData[$value['customer_channel']]['qk'] = $value['nopayment_money'];
            // // 订单管家
            // $returnData[$value['orderId']]['ddgj'] = '';
            // // 摄影
            // $returnData[$value['orderId']]['sy'] = $value['cameraman'];
            // // 化妆
            // $returnData[$value['orderId']]['hz'] = $value['dresser'];
            // // 引导
            // $returnData[$value['orderId']]['yd'] = $value['mentor_a'];
            // // 服务管家
            // $returnData[$value['orderId']]['fwgj'] = '';
            // 订单 + 摄影备注
            $note = '';
            if ($value['ordernote']) {
                $note .= $value['ordernote'].'--';
            }
            if ($value['photonote']) {
                $note .= $value['photonote'];
            }
            $returnData[$value['customer_channel']]['bz'] = $note;
            $returnData[$value['customer_channel']]['orderId'] = $value['orderId'];
        }
        
        $recTime .= microtime(true).'<br />';
        // 今日选片客资 
        $todaySp = db('c_customerorder')->alias('o')
            ->join('c_customerinfo c', 'c.customerid=o.customerid','left')
            ->join('c_customerphoto ph', 'ph.orderId=o.orderId','left')
            ->join('c_customersp sp', 'sp.orderId=o.orderId','left')
            ->join('crm_s_channel ch', 'ch.channel_name=c.customer_channel','left')//渠道
            ->where('o.orderId','in',$allOrderIds)
            ->where('sp.selectday','between',[$start,$end])
            ->order('sp.selectday')
            ->column($orderField.',ph.cameraman,ph.mentor_a,ph.dresser,sp.selectday,sp.selectman,sp.currentfc,sp.spremarks','o.orderId');
        $sql3 = db()->getLastSql();
        $recTime .= microtime(true).'<br />';
        foreach ($todaySp as $key => $value) {
            // $noIds .= $value['orderId'].',';
            // // 计算宝宝年龄
            // $age = $this->babyAge('',$value['bbithdate']);
            // // 订单 日期
            // $returnData[$key]['day'] = date('m-d',strtotime($value['selectday'])).'-sp';
            // 渠道
            $returnData[$value['customer_channel']]['qd'] = $value['channel_info_name'];
            // 渠道 名称
            $returnData[$value['customer_channel']]['qdmc'] = $value['customer_channel'];
            // $returnData[$value['channel_info_name'].'合计']['qdmc'] = '合计';
            // // 妈妈姓名
            // $returnData[$key]['name'] = $value['wname'];
            // // 宝宝年龄
            // $returnData[$key]['age'] = $age;
            // // 妈妈电话
            // $returnData[$key]['tel'] = $value['wphone'];
            // if ($value['old_bargain_money']) {
            //     // 原套餐金额
            //     $returnData[$value['orderId']]['ytcje'] = $value['old_bargain_money'];
            //     // 升级套餐金额
            //     $returnData[$value['orderId']]['sjtcje']= $value['bargain_money']+$value['shengjimoney'];
            // }else{
            //     $returnData[$value['orderId']]['ytcje'] = $value['bargain_money'];
            //     $returnData[$value['orderId']]['sjtcje']= '';
            // }
            // // 成长套拍摄剩余次数
            $allfc = db('c_customerorder_servicefc')->where('orderId',$key)->value('allfc');
            // if ($allfc>1) {
            //     $returnData[$key]['cztsycs'] = $allfc-$value['currentfc'];
            // }else{
            //     $returnData[$key]['cztsycs'] = '';
            // }

            // // 新订单金额
            // $returnData[$key]['xddje'] = $value['bargain_money'];
            // 客户欠款
            $returnData[$value['customer_channel']]['qk'] = $value['nopayment_money'];
            if ($allfc>1) {
                // 选片 成长套选片量
                $returnData[$value['customer_channel']]['czt'] += 1;
            }else{
                // 选片 单套选片量
                $returnData[$value['customer_channel']]['dt'] += 1;
            }
            //三宝量
            $sanbaoliang = db('c_consumptioncontent')//产品表
                ->where('orderId',$value['orderId'])
                ->where('categories', '三宝')
                ->where('servicenumber',$value['currentfc'])
                ->count();
            $returnData[$value['customer_channel']]['sanbao'] += $sanbaoliang ? 1 : '';

            // 选片 总量
            $returnData[$value['customer_channel']]['xp_zl'] += 1;
            $returnData[$value['customer_channel']]['xp_zl'] = $returnData[$value['customer_channel']]['xp_zl'] + $returnData[$value['customer_channel']]['sanbao'];

            //选片 金额
            $spmoney = db('c_paymentcontent')->where('payclass',0)->where("currentfc",$value['currentfc'])->where("orderId",$value['orderId'])->where("suoshu","in",['后期款','后期补款'])->where("payment_money",'>',0)->sum("payment_money");
            // echo db()->getLastSql();
            // echo db('c_paymentcontent')->getLastSql();exit;db('c_paymentcontent')->where("currentfc",$value['currentfc'])->where("orderId",$value['orderId'])->where("suoshu","in",['后期款','后期补款'])->where("payment_money",'>',0)->sum("payment_money");
            $returnData[$value['customer_channel']]['xpjine'] += $spmoney;

            //三宝产品金额  = 产品金额 c_consumptioncontent  total
            $returnData[$value['customer_channel']]['sbjine'] = db('c_consumptioncontent')//产品表
                ->where('orderId',$value['orderId'])
                ->where('servicenumber',$value['currentfc'])
                ->sum('total');
            // // 时光选片量
            // $todaySgjn = db('c_consumptioncontent')//产品表
            //     ->where('orderId',$value['orderId'])
            //     ->where('consumption_name', 'like', '%时光胶囊%')
            //     ->where('servicenumber',$value['currentfc'])
            //     ->count();
            // $returnData[$key]['sg'] = $todaySgjn ? 1 : '';
            // // 订单管家
            // $returnData[$key]['ddgj'] = '';
            // // 选片师
            // $returnData[$key]['xps'] = $value['selectman'];
            // // 服务管家
            // $returnData[$key]['fwgj'] = '';
            // 订单 + 摄影 + 选片备注
            $note = '';
            if ($value['ordernote']) {
                $note .= $value['ordernote'].'--';
            }
            if ($value['photonote']) {
                $note .= $value['photonote'].'--';
            }
            if ($value['spremarks']) {
                $note .= $value['spremarks'];
            }
            $returnData[$value['customer_channel']]['bz'] = $note;
            $returnData[$value['customer_channel']]['orderId'] = $value['orderId'];
        }
        // die;
        $recTime .= microtime(true).'<br />';
        // 今日收款客资
        $todayPay = db('c_customerorder')->alias('o')
            ->join('c_customerinfo c', 'c.customerid=o.customerid','left')
            ->join('c_paymentcontent p', 'p.orderId=o.orderId','left')
            ->join('crm_s_channel ch', 'ch.channel_name=c.customer_channel','left')//渠道
            ->where('o.orderId','in',$allOrderIds)
            ->where('p.paymentdate','between',[$start,$end])
            ->order('p.paymentdate')
            ->field($orderField.',p.paymentdate,p.payclass,p.paytype,p.isshishou,p.payment_money as pay,p.fundname,p.suoshu,p.remarks')
            ->select();
        $sql4 = db()->getLastSql();
        $recTime .= microtime(true).'<br />';
        foreach ($todayPay as $key => $value) {
            // // 计算宝宝年龄
            // $age = $this->babyAge('',$value['bbithdate']);
            // // 订单 日期
            // $returnData[$value['orderId']]['day'] = date('m-d',strtotime($value['paymentdate'])).'-pay';
            // 渠道
            $returnData[$value['customer_channel']]['qd'] = $value['channel_info_name'];
            // 渠道 名称
            $returnData[$value['customer_channel']]['qdmc'] = $value['customer_channel'];
            // $returnData[$value['channel_info_name'].'合计']['qdmc'] = '合计';
            // // 妈妈姓名
            // $returnData[$value['orderId']]['name'] = $value['wname'];
            // // 宝宝年龄
            // $returnData[$value['orderId']]['age'] = $age;
            // // 妈妈电话
            // $returnData[$value['orderId']]['tel'] = $value['wphone'];
            // if ($value['old_bargain_money']) {
            //     // 原套餐金额
            //     $returnData[$value['orderId']]['ytcje'] = $value['old_bargain_money'];
            //     // 升级套餐金额
            //     $returnData[$value['orderId']]['sjtcje']= $value['bargain_money']+$value['shengjimoney'];
            // }else{
            //     $returnData[$value['orderId']]['ytcje'] = $value['bargain_money'];
            //     $returnData[$value['orderId']]['sjtcje']= '';
            // }
            // // 成长套拍摄剩余次数
            $allfc = db('c_customerorder_servicefc')->where('orderId',$value['orderId'])->value('allfc');
            // if ($allfc>1) {
            //     $returnData[$value['orderId']]['cztsycs'] = $allfc;
            // }else{
            //     $returnData[$value['orderId']]['cztsycs'] = '';
            // }
            // // 新订单金额
            // $returnData[$value['orderId']]['xddje'] = $value['bargain_money'];
            // 客户欠款
            $returnData[$value['customer_channel']]['qk'] = $value['nopayment_money'];
            // 加服装金额
            if ($value['fundname']=='加服装金额') {
                $returnData[$value['customer_channel']]['jfzje'] += $value['pay'];
            }
            // 续订数
            if ($value['fundname']=='续订金额' && $value['pay'] > 0) {
                $returnData[$value['customer_channel']]['xds'] += 1;
            }
            // 续订金额
            if ($value['fundname']=='续订金额') {
                $returnData[$value['customer_channel']]['xdje'] += $value['pay'];
            }
            // 加选数
            if ($value['fundname']=='加选金额' && $value['pay'] > 0) {
                $returnData[$value['customer_channel']]['jxs'] += 1;
            }
            // 加选金额
            if ($value['fundname']=='加选金额') {
                $returnData[$value['customer_channel']]['jxje'] += $value['pay'];
            }
            // // 时光金额
            // if ($value['fundname']=='时光金额') {
            //     $returnData[$value['orderId']]['sgje'] += $value['pay'];
            // }
            // 客户还欠款
            if ($value['suoshu']=='前期补款' || $value['suoshu']=='后期补款') {
                $returnData[$value['customer_channel']]['hqk'] += $value['pay'];
            }
            // 充值金额
            if ($value['payclass']==3) {
                $returnData[$value['customer_channel']]['czje'] += $value['pay'];
            }
            // // 客户退款(一)
            if ($value['pay']<0) {
                $returnData[$value['customer_channel']]['tk'] = $value['pay'];
            }
            // 实收 金额 包含充值
            if ($value['isshishou']=='实收') {
                $returnData[$value['customer_channel']]['ssje'] += $value['pay'];
            }
            // 付款方式
            $returnData[$value['customer_channel']][$value['paytype']] += $value['pay'];
            if ($value['paytype'] == 'VIP卡') {
                $returnData[$value['customer_channel']]['xkjine'] += $value['pay'];
            }

            // if ($allfc>1) {
            //     // 选片 成长套选片量
            //     $returnData[$value['orderId']]['czt'] = 1;
            // }else{
            //     // 选片 单套选片量
            //     $returnData[$value['orderId']]['dt'] = 1;
            // }
            /*
            // 订单管家
            $returnData[$value['orderId']]['ddgj'] = '';
            // 选片师
            $returnData[$value['orderId']]['xps'] = $todayPayOther[$value['orderId']]['selectman'];
            // 摄影
            $returnData[$value['orderId']]['sy'] = $todayPayOther[$value['orderId']]['cameraman'];
            // 化妆
            $returnData[$value['orderId']]['hz'] = $todayPayOther[$value['orderId']]['dresser'];
            // 引导
            $returnData[$value['orderId']]['yd'] = $todayPayOther[$value['orderId']]['mentor_a'];
            // 服务管家
            $returnData[$value['orderId']]['fwgj'] = '';
            */
            // 订单 + 摄影 + 选片 + 收款备注
            $note = '';
            if ($value['ordernote']) {
                $note .= $value['ordernote'].'--';
            }
            if ($value['photonote']) {
                $note .= $value['photonote'].'--';
            }
            if ($value['spremarks']) {
                $note .= $value['spremarks'];
            }
            if ($value['remarks']) {
                $note .= $value['remarks'];
            }
            $returnData[$value['customer_channel']]['bz'] = $note;
            $returnData[$value['customer_channel']]['orderId'] = $value['orderId'];
        }
        foreach ($returnData as $key => $value) {
            // 拍摄 拍摄人均
            $returnData[$key]['ps_rj'] = $value['ps_jine'] ? sprintf("%.2f",$value['ps_jine']/$value['ps_zl']) : '';
            // 一销 订单人均
            $returnData[$key]['yx_rj'] = $value['yxjine'] ? sprintf("%.2f",$value['yxjine']/$value['yx']) : '';
            // 选片 选片人均
            $returnData[$key]['xp_rj'] = $value['xpjine'] ? sprintf("%.2f",$value['xpjine']/$value['xp_zl']) : '';
            // 续订 续订人均
            $returnData[$key]['xd_rj'] = $value['xdje'] ? sprintf("%.2f",$value['xdje']/$value['xds']) : '';
            // 加选 加选人均
            $returnData[$key]['jx_rj'] = $value['jxje'] ? sprintf("%.2f",$value['jxje']/$value['jxs']) : '';
            //总计
            // $returnData[$value['qd'].'合计']['czje'] = $value['czje'];
            // $returnData[$value['qd'].'合计']['jfzje'] += $value['jfzje'];
            // $returnData[$value['qd'].'合计']['ysje'] += $value['ysje'];
            // $returnData[$value['qd'].'合计']['ssje'] += $value['ssje'];
            // $returnData[$value['qd'].'合计']['qk'] += $value['qk'];
            // $returnData[$value['qd'].'合计']['hqk'] += $value['hqk'];
            // $returnData[$value['qd'].'合计']['tk'] += $value['tk'];
            // $returnData[$value['qd'].'合计']['xkjine'] += $value['xkjine'];
            // $returnData[$value['qd'].'合计']['ps_jine'] += $value['ps_jine'];
            // $returnData[$value['qd'].'合计']['cpl'] += $value['cpl'];
            // $returnData[$value['qd'].'合计']['bpl'] += $value['bpl'];
            // $returnData[$value['qd'].'合计']['yx'] += $value['yx'];
            // $returnData[$value['qd'].'合计']['yxjine'] += $value['yxjine'];
            // $returnData[$value['qd'].'合计']['xpjine'] += $value['xpjine'];
            // $returnData[$value['qd'].'合计']['xds'] += $value['xds'];
            // $returnData[$value['qd'].'合计']['xdje'] += $value['xdje'];
            // $returnData[$value['qd'].'合计']['jxs'] += $value['jxs'];
            // $returnData[$value['qd'].'合计']['jxje'] += $value['jxje'];
            // $returnData[$value['qd'].'合计']['sbjine'] += $value['sbjine'];
            // $returnData[$value['qd'].'合计']['cztpsl'] += $value['cztpsl'];
            // $returnData[$value['qd'].'合计']['dtpsl'] += $value['dtpsl'];
            // $returnData[$value['qd'].'合计']['czt'] += $value['czt'];
            // $returnData[$value['qd'].'合计']['dt'] += $value['dt'];
            // $returnData[$value['qd'].'合计']['sanbao'] += $value['sanbao'];
            //总计
            $returnData['总计']['qd'] = '总计';
            $returnData['总计']['czje'] += $value['czje'];
            $returnData['总计']['jfzje'] += $value['jfzje'];
            $returnData['总计']['ysje'] += $value['ysje'];
            $returnData['总计']['ssje'] += $value['ssje'];
            $returnData['总计']['qk'] += $value['qk'];
            $returnData['总计']['hqk'] += $value['hqk'];
            $returnData['总计']['tk'] += $value['tk'];
            $returnData['总计']['xkjine'] += $value['xkjine'];
            $returnData['总计']['ps_jine'] += $value['ps_jine'];
            $returnData['总计']['cpl'] += $value['cpl'];
            $returnData['总计']['bpl'] += $value['bpl'];
            $returnData['总计']['yx'] += $value['yx'];
            $returnData['总计']['yxjine'] += $value['yxjine'];
            $returnData['总计']['xpjine'] += $value['xpjine'];
            $returnData['总计']['xds'] += $value['xds'];
            $returnData['总计']['xdje'] += $value['xdje'];
            $returnData['总计']['jxs'] += $value['jxs'];
            $returnData['总计']['jxje'] += $value['jxje'];
            $returnData['总计']['sbjine'] += $value['sbjine'];
            $returnData['总计']['cztpsl'] += $value['cztpsl'];
            $returnData['总计']['dtpsl'] += $value['dtpsl'];
            $returnData['总计']['czt'] += $value['czt'];
            $returnData['总计']['dt'] += $value['dt'];
            $returnData['总计']['sanbao'] += $value['sanbao'];
        }
        $recTime .= microtime(true).'<br />';
        $return['sql0'] = $sql0;//查询所有订单单号
        $return['sql1'] = $sql1;//查询今日订单
        $return['sql2'] = $sql2;//查询今日拍照
        $return['sql3'] = $sql3;//查询今日选片
        $return['sql4'] = $sql4;//查询今日收款
        $return['recTime'] = $recTime;
        $return['code'] = 0;
        $return['msg'] = '';
        $return['count'] = count($returnData);
        $return['data'] = $returnData;

        return json($return);
    }
    //  
    public function show(){
        /*
        $did = strtolower(input('param.did'));
        $info = db('crm_s_report_form')->alias('f')->join('crm_s_report_detail d','d.form_id=f.id')->where('d.id',$did)->field('d.id,d.shop_code,d.brandclass_id,f.report_class_name')->find();*/
        $menu_code = strtolower(input('param.menu_code'));
        $info = db('crm_s_report_form')->alias('f')->join('crm_s_report_detail d','d.form_id=f.id','left')->where('f.code',$menu_code)->field('d.id,d.shop_code,d.brandclass_id,f.report_class_name')->find();
        $city = db('crm_s_shop_address')->where('shop_code',$info['shop_code'])->where('type',2)->select();
        //消费类型
        $consumptionType = controller("Customer", "lib")->consumptionType(['brandclass_id'=>$info['brandclass_id']]);
        $this->assign("consumptionType", $consumptionType);
        //来源渠道
        $channel = getChannelJson($info['shop_code']);
        $this->assign("channel", json_encode($channel));

        $code = $this->getCode();
        $display = APP_PATH.'crm'.DS.'view'.DS.'report'.DS.strtolower($info['report_class_name']).'.html';
        $title = db('crm_s_report_form')->where('code', $code)->value('report_name');
        $shopInfo = controller('crm/Customer','lib')->get_shop(['shop_code'=>$info['shop_code']]);
        $this->assign('title', $shopInfo[0]['shop_name'].'-'.$title);
        $this->assign('did', $info['id']);
        // c_paymenttype
        $allPayType = db('c_paymenttype')->where("find_in_set('".$info['shop_code']."',shop_code)")->field('id,typename')->select();
        $this->assign('allPayType', $allPayType);
        $this->assign('allPayCount', count($allPayType));
        // 当前操作人的可操作店
        $mc = new \app\common\lib\mcInterface;
        $shopList = $mc->getWorkShop(['staff_id'=>session('staff_id'),'brandclass_id'=>session('brandclass_id')]);
        $this->assign('shopList',$shopList);
        $this->assign("shop_code", $info['shop_code']?$info['shop_code']:session('shop_code'));
      
        $yesdate = date("Y-m-d",strtotime("-7 day"))." - ".date("Y-m-d");
        $this->assign('yesdate', $yesdate);

        return $this->fetch($display);
    }

}